Class | TCPSocket
In: | resolv-replace.rb
Parent: | Object

### Methods

new

### External Aliases

initialize | -> | original_resolv_initialize

### Public Class methods

new(host, serv, *rest)

[Source]

    # File resolv-replace.rb, line 17
      def initialize(host, serv, *rest)
        rest[0] = IPSocket.getaddress(rest[0]) unless rest.empty?
        original_resolv_initialize(IPSocket.getaddress(host), serv, *rest)
      end

[Validate]